.ds -- \-\^\-
.ds = \fR=\fP
.ds T&
.
.\" Continuation line for .TP header.
.de TQ
.	br
.	ns
.	TP \\$1\" no doublequotes around argument!
..
.
.\" Bold roman italic
.de Bx
\&\fB\\$1\fP\fR\\$2\fI\\$3\fP
..
.
.\" Replace non-existent short or long options by -
.de OP \" short-op long-op [ arg ]
.	nr x1 0
.	nr x2 0
.	if \\n(.$>=1 .if !"\\$1"-" .nr x1 1
.	if \\n(.$>=2 .if !"\\$2"-" .nr x2 1
.	if (\\n(.$=0):(\\n(.$>3):((\\n(x1=0)&(\\n(x2=0)) \{\
.		B ".OP \\$* has wrong number or type of arguments"
.	\}
.	TP
.	if (\\n(.$<=2)&\\n(x1 .B \-\\$1
.	if (\\n(.$=3)&\\n(x1 .BI \-\\$1 \\$3
.	if (\\n(.$>=2)&\\n(x1&\\n(x2 .TQ
.	if (\\n(.$<=2)&\\n(x2 .B \\*(--\\$2
.	if (\\n(.$=3)&\\n(x2 .BI \\*(--\\$2 \*=\\$3
..
.
.\" =====================================================================
.
.TH FINDSCRIPT 1 13\-Jun\-2012 "D. M. Wilson" "Local Software"
.
.\" =====================================================================
.
.SH NAME
findscript \- find a file looking in standard places
.
.\" =====================================================================
.
.SH SYNOPSIS
.B findscript
[
.I options
]
.I name
[
.I dir
\&.\|.\|.
]
.
.\" =====================================================================
.
.SH DESCRIPTION
.I findscript
returns the path of the file
.I name
by looking in standard places.
The list of these places is augmented by additional directories
.I dir
\&.\|.\|.\&
supplied on the command line.
.LP
If
.B E
is
.I /usr/local/libexec
and
.B L
is
.IR /usr/local/lib ,
the order of search is in the directories:
.RS
.TS
box tab(@);
n lb l.
1.@.
_
.T&
c s s.
for each extra directory \fBD\fP:
_
.T&
n lb l.
2a@D@ if \fBD\fP is absolute
_
@./D
2b@E/D@otherwise
@L/D
_
3.@E
4.@L
.TE
.RE
.
.\" =====================================================================
.
.SH OPTIONS
.
.OP h help
Print a help message and exit.
.
.OP V version
Print version information and exit.
.
.OP a absolute
Ensure the search directories are absolute pathnames.
The usefulness of this option is doubtful.
.
.OP l libdir dir
Set the library directory to the
.IR dir .
.
.\" =====================================================================
.
.SH FILES
.
.\" =====================================================================
.
.SH SEE ALSO
.
.\" =====================================================================
.
.SH DIAGNOSTICS
.
.\" =====================================================================
.
.SH BUGS
.
.\" =====================================================================
.
.SH AUTHOR
Denis M. Wilson, Aberdeen, Scotland
.\" $Id: findscript.man,v 2.1 2012/06/13 12:45:36 dmw Exp $
