.TH MARKUP 7 9\-Sep\-2012 "D. M. Wilson" "Local Software"
.
.\" =====================================================================
.
.SH NAME
markup \- groff macros for document formatting
.
.\" =====================================================================
.
.SH SYNOPSIS
.I groff
.B "\-markup"
\&.\|.\|.
.
.\" =====================================================================
.
.SH DESCRIPTION
The
.I \-markup
system is a collection of macros for formatting documents using
.IR groff .
It is intended to be comprehensive, flexible and modular, and to support
structured documentation.
.PP
It is intended to be more general than packages such as
.I \-ms
or
.I \-mm
and supports \(lqdocument classes\(rq as in LaTeX.
No particular document style protocol is assumed in advance.
There is support for page and paper sizes, and there are also some
\(lqfancy\(rq features which do not seem to be available in other troff
packages, such as balanced two-column mode, sidebars, dropped capitals and
indexes.
.LP
Examples of the supported features are: cross-references, indexing, lists,
displays, floats, support for
.IR tbl (1),
.IR eqn (1),
styles such as \(lqletter\(rq, \(lqarticle\(rq and so on.
.LP
The author uses it for all his documentation, except manual pages.
.
.\" =====================================================================
.
.SH FILES
The files are in subdirectories of the directory where
.I troff
macros are held.
.TP
.I MARKUP
The subdirectory for the packages.
.TP
.I IST
The subdirectory with index styles for
.IR makeindex (1).
.TP
.I EPS
The subdirectory for encapsulated PostScript files.
.
.\" =====================================================================
.
.SH SEE ALSO
The full documentation of the
.B \-markup
system, which is written using itself.
It can be be viewed using
.IR gv (1).
.\"on the file
.\".RS
.\".LP
.\".IR /usr/local/share/doc/markup/markup.ps .
.\".LP
.\".RE
.
.\" =====================================================================
.
.SH DIAGNOSTICS
.
.\" =====================================================================
.
.SH BUGS
The most notable omissions are support for footnotes and
bibliographic references.
.LP
The system produces ragged bottoms in pages and two-columns, when there is
fractional leading.
To fix this would need a major redesign.
.
.\" =====================================================================
.
.SH AUTHOR
Denis M. Wilson, Aberdeen, Scotland
.\" $Id: markup.man,v 1.7 2012/09/09 17:56:56 dmw Exp $
