.ds -- \-\^\-
.ds = \fR=\fP
.
.\" Continuation line for .TP header.
.de TQ
.	br
.	ns
.	TP \\$1\" no doublequotes around argument!
..
.
.\" Bold roman italic
.de Bx
\&\fB\\$1\fP\fR\\$2\fI\\$3\fP
..
.
.\" Replace non-existent short or long options by -
.de OP \" short-op long-op [ arg ]
.	nr x1 0
.	nr x2 0
.	if \\n(.$>=1 .if !"\\$1"-" .nr x1 1
.	if \\n(.$>=2 .if !"\\$2"-" .nr x2 1
.	if (\\n(.$=0):(\\n(.$>3):((\\n(x1=0)&(\\n(x2=0)) \{\
.		B ".OP \\$* has wrong number or type of arguments"
.	\}
.	TP
.	if (\\n(.$<=2)&\\n(x1 .B \-\\$1
.	if (\\n(.$=3)&\\n(x1 .BI \-\\$1 \\$3
.	if (\\n(.$>=2)&\\n(x1&\\n(x2 .TQ
.	if (\\n(.$<=2)&\\n(x2 .B \\*(--\\$2
.	if (\\n(.$=3)&\\n(x2 .BI \\*(--\\$2 \*=\\$3
..
.
.\" =====================================================================
.
.TH RUNOFF 1 28\-Sep\-2012 "D. M. Wilson" "Local Software"
.
.\" =====================================================================
.
.SH NAME
runoff \- format the file given as argument, assuming the \-markup system
.
.\" =====================================================================
.
.SH SYNOPSIS
.B runoff
[
.I options
] file
.
.\" =====================================================================
.
.SH DESCRIPTION
.I runoff
assumes that
.I file
is a
.I troff
input document, marked up with the
.I \-markup
macros, and formats it.
.LP
The result is left in two files (see
.SM FILES
below).
.
.\" =====================================================================
.
.SH OPTIONS
.
.SS "General options"
.
.OP h help
Display a summary of the options and exit.
.
.OP V version
Print version information and exit.
.
.SS "Options passed to groff"
.
The following have exactly the same form and meaning as in
.IR gtroff (1):
.
.BR \-r ,
.BR \-d ,
.B \-b
and
.BR \-f .
.
.SS "Those which affect how runoff formats"
.
.OP i
A no-op, retained for backward compatibility.
.
.OP z size s
Make paper size
.I s
(as in groff papersize).
.
.OP - a5
Post-process to make an A5 document.
Use this if the document has been formatted with A5 paper sizes.
.
.OP t
Post-process to make two-up, for previewing.
This assumes that formatting uses A5 paper size.
There is an initial blank page, so that even-odd pages face each other.
The program
.IR psr (1)
is used.
.
.OP s
Use the source of the packages.
They must have been checked out, and are unstripped.
This will be slower, but this is required for testing new packages.
For use of developers.
.
.OP - verbose
Show what commands are executed.
.
.OP m - dir
Make directory
.I dir
the root of the markup system.
.
.OP l
Generate output in landscape format.
.LP
Note that there is no check that combinations of options make sense.
.
.\" =====================================================================
.
.SH ENVIRONMENT
.TP
.B markup
This environment variable must be set to the directory containing the
source of the
.I \-markup
macros, if the
.B \-s
option is used.
.
.\" =====================================================================
.
.SH FILES
.TP
.I xx.ps
The formatted file, but without any post-processing.
.TP
.I x.ps
The formatted file after post-processing.
.TP
.I xerrs
The errors and warnings generated.
If it is small enough it will be shown, otherwise the user is advised to
look at it later (provided the input is from a terminal).
.I runoff
returns zero status if there are no errors, and non-zero otherwise
.
.\" =====================================================================
.
.SH SEE ALSO
.IR groff (1),
.IR psr (1),
.IR markup (7),
.IR ngrog (1).
.I ngrog
is a rewrite of
.IR grog (1)
which recognises
.RI \- markup
documents.
.
.\" =====================================================================
.
.SH DIAGNOSTICS
In file
.I xerrs
(see above).
.
.\" =====================================================================
.
.SH BUGS
The program
.IR psr (1)
is available only to the author, and without it the
.RB \- t
option won't work.
.
.\" =====================================================================
.
.SH AUTHOR
Denis M. Wilson, Aberdeen, Scotland
.\" $Id: runoff.man,v 1.7 2012/09/29 14:58:53 dmw Exp $
